1 (edited by toHZLjGk 12/29/2017 08:49:17 pm)

Topic: >FA2.4.3, Confused...

Dear All,

My ISP updated to PHP 7.X lately. No more FA2.4.1, so it was time to upgrade to FA2.4.3 I imagined. This resulted in an almost blank page with only date and time in the left column and a frontaccounting.com link in the middle. When I look in the server's error log I get the notorious "deprecated constructor" errors. FA2.4.3 is announced to be PHP7.X compatible. CONFUSED!....

Regards,

Peter

Re: >FA2.4.3, Confused...

What errors do you get when you enable debug? http://frontaccounting.com/fawiki/index … Accounting

Most hosting companies allow you to choose the php version?

Re: >FA2.4.3, Confused...

Hi poncho1234,

Sorry for my late reply. I first finished accounting before any further upgrading attempts... After I enabled debugging, I found out that the problem was with the obsolete "Dashboard" theme and extension. After uninstalling both, upgrading went fine.

Thank you for your help!

Regards,

Peter

Re: >FA2.4.3, Confused...

@toHZLjGk: Thanks for the info. All those using Dashboard theme in FA 2.3.x should first uninstall it before upgrading to FA 2.4.x. The Dashboard is now built into the FA 2.4.x core.